// Made with Amplify Shader Editor
// Available at the Unity Asset Store - http://u3d.as/y3X 
Shader "Rain"
{
	Properties
	{
		_RippleTile("RippleTile", Float) = 1
		_TextureSample0("Texture Sample 0", 2D) = "white" {}
		_RainSpeed("RainSpeed", Float) = 1
		[HideInInspector] _texcoord( "", 2D ) = "white" {}
		[HideInInspector] __dirty( "", Int ) = 1
	}

	SubShader
	{
		Tags{ "RenderType" = "Opaque"  "Queue" = "Geometry+0" }
		Cull Back
		CGPROGRAM
		#include "UnityShaderVariables.cginc"
		#pragma target 3.0
		#pragma surface surf Standard keepalpha addshadow fullforwardshadows 
		struct Input
		{
			float2 uv_texcoord;
		};

		uniform sampler2D _TextureSample0;
		uniform float _RippleTile;
		uniform float _RainSpeed;

		void surf( Input i , inout SurfaceOutputStandard o )
		{
			float smoothstepResult203 = smoothstep( 0.0 , 1.0 , ( distance( ( (tex2D( _TextureSample0, ( i.uv_texcoord * _RippleTile ) )).r - ( 1.0 - frac( ( _Time.y * _RainSpeed ) ) ) ) , 0.05 ) / 0.05 ));
			float3 temp_cast_0 = (( ( 1.0 - smoothstepResult203 ) * abs( sin( ( ( _Time.y * _RainSpeed ) * 0.5 ) ) ) ));
			o.Albedo = temp_cast_0;
			o.Alpha = 1;
		}

		ENDCG
	}
	Fallback "Diffuse"
	CustomEditor "ASEMaterialInspector"
}
/*ASEBEGIN
Version=15600
8;428;1469;712;-2522.128;467.7015;2.065103;True;True
Node;AmplifyShaderEditor.TextureCoordinatesNode;220;2130.458,-510.6236;Float;False;0;-1;2;3;2;SAMPLER2D;;False;0;FLOAT2;1,1;False;1;FLOAT2;0,0;False;5;FLOAT2;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.RangedFloatNode;90;1846.861,-363.0073;Float;False;Property;_RippleTile;RippleTile;0;0;Create;True;0;0;False;0;1;1;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;91;1755.161,378.6469;Float;False;Property;_RainSpeed;RainSpeed;14;0;Create;True;0;0;False;0;1;1;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleTimeNode;218;2300.039,132.4048;Float;False;1;0;FLOAT;1;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;217;2499.315,-92.4847;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;219;2409.698,-310.8246;Float;False;2;2;0;FLOAT2;0,0;False;1;FLOAT;1;False;1;FLOAT2;0
Node;AmplifyShaderEditor.SamplerNode;214;2793.636,-371.1951;Float;True;Property;_TextureSample0;Texture Sample 0;1;0;Create;True;0;0;False;0;9506292d8f72fb044b6601289103e2b7;9506292d8f72fb044b6601289103e2b7;True;0;False;white;Auto;False;Object;-1;Auto;Texture2D;6;0;SAMPLER2D;;False;1;FLOAT2;0,0;False;2;FLOAT;0;False;3;FLOAT2;0,0;False;4;FLOAT2;0,0;False;5;FLOAT;1;False;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.FractNode;216;2744.984,-109.519;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.OneMinusNode;210;2966.023,-109.794;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.ComponentMaskNode;205;3163.601,-379.1417;Float;False;True;False;False;False;1;0;COLOR;0,0,0,0;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;201;3509.504,127.6858;Float;False;1000.286;216.7458;Rupple Fade;4;211;208;206;204;;1,1,1,1;0;0
Node;AmplifyShaderEditor.SimpleSubtractOpNode;212;3268.097,-114.5812;Float;False;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleTimeNode;222;3216.972,154.4186;Float;False;1;0;FLOAT;1;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;208;3561.569,176.6212;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;1;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;200;3634.354,-135.6861;Float;False;869.7019;206;Edge Mask;3;213;203;202;;1,1,1,1;0;0
Node;AmplifyShaderEditor.DistanceOpNode;209;3653.341,-119.6059;Float;False;2;0;FLOAT;0;False;1;FLOAT;0.05;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleDivideOpNode;202;3862.981,-96.83992;Float;False;2;0;FLOAT;0;False;1;FLOAT;0.05;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;211;3817.511,190.7607;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0.5;False;1;FLOAT;0
Node;AmplifyShaderEditor.SmoothstepOpNode;203;4084.611,-116.5598;Float;False;3;0;FLOAT;0;False;1;FLOAT;0;False;2;FLOAT;1;False;1;FLOAT;0
Node;AmplifyShaderEditor.SinOpNode;206;4069.583,190.7919;Float;True;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.CommentaryNode;165;1142.857,-723.5524;Float;False;349;280;Comment;1;142;;1,1,1,1;0;0
Node;AmplifyShaderEditor.OneMinusNode;213;4324.978,-111.1396;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.AbsOpNode;204;4297.255,193.2998;Float;False;1;0;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.SimpleMultiplyOpNode;215;4668.215,14.69592;Float;False;2;2;0;FLOAT;0;False;1;FLOAT;0;False;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;144;1437.426,-564.9723;Float;False;Property;_WaterBrightness;WaterBrightness;16;0;Create;True;0;0;False;0;0;1;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.RangedFloatNode;95;1682.178,-207.7171;Float;False;Property;_EdgeWidth;EdgeWidth;13;0;Create;True;0;0;False;0;0.05;0.05;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.TexturePropertyNode;142;1192.857,-673.5524;Float;True;Property;_RainNormal;RainNormal;15;1;[Normal];Create;True;0;0;False;0;6d2d7b3ca0042074090d3688ffc7fb99;6d2d7b3ca0042074090d3688ffc7fb99;True;bump;Auto;Texture2D;0;1;SAMPLER2D;0
Node;AmplifyShaderEditor.TexturePropertyNode;98;1396.449,-1095.563;Float;True;Property;_RainTex;RainTex;11;0;Create;True;0;0;False;0;9506292d8f72fb044b6601289103e2b7;9506292d8f72fb044b6601289103e2b7;False;white;Auto;Texture2D;0;1;SAMPLER2D;0
Node;AmplifyShaderEditor.TexturePropertyNode;134;1294.66,-373.0909;Float;True;Property;_Diffuse;Diffuse;10;0;Create;True;0;0;False;0;None;b59b1499a321cd347b37f152b2d12863;False;white;Auto;Texture2D;0;1;SAMPLER2D;0
Node;AmplifyShaderEditor.RangedFloatNode;163;1504.986,-505.4863;Float;False;Property;_EdgeDistance;EdgeDistance;12;0;Create;True;0;0;False;0;0.05;0.05;0;0;0;1;FLOAT;0
Node;AmplifyShaderEditor.TexturePropertyNode;132;1346.529,-878.8452;Float;True;Property;_Normal;Normal;9;1;[Normal];Create;True;0;0;False;0;None;ab2f1119921a9a940a85851d4c2b7fa2;True;bump;Auto;Texture2D;0;1;SAMPLER2D;0
Node;AmplifyShaderEditor.FunctionNode;199;1784.802,-726.5659;Float;False;SF_Ripple;2;;61;4055d7dc71899dd4691b28bedfb232fd;0;13;202;FLOAT;0.05;False;127;SAMPLER2D;;False;125;SAMPLER2D;;False;178;FLOAT;64;False;124;SAMPLER2D;;False;149;FLOAT;2;False;115;FLOAT;0.4;False;117;COLOR;0.5,0.7,1,1;False;119;SAMPLER2D;0,0,0,0;False;123;FLOAT;0;False;105;FLOAT;0.05;False;13;FLOAT;1;False;11;FLOAT;1;False;3;FLOAT;131;FLOAT3;111;FLOAT;0
Node;AmplifyShaderEditor.ColorNode;145;1833.029,-908.0577;Float;False;Property;_WaterColor;WaterColor;17;0;Create;True;0;0;False;0;0,0.9901032,1,1;0.5923371,0.7082763,0.8207547,1;0;5;COLOR;0;FLOAT;1;FLOAT;2;FLOAT;3;FLOAT;4
Node;AmplifyShaderEditor.StandardSurfaceOutputNode;85;4913.795,-173.2382;Float;False;True;2;Float;ASEMaterialInspector;0;0;Standard;Rain;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;False;Back;0;False;-1;0;False;-1;False;0;False;-1;0;False;-1;False;0;Opaque;0.5;True;True;0;False;Opaque;;Geometry;All;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;True;0;False;-1;False;0;False;-1;255;False;-1;255;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;-1;False;2;15;10;25;False;0.5;True;0;0;False;-1;0;False;-1;0;0;False;-1;0;False;-1;0;False;-1;0;False;-1;0;False;0;0,0,0,0;VertexOffset;True;False;Cylindrical;False;Relative;0;;-1;-1;-1;-1;0;False;0;0;False;-1;-1;0;False;-1;0;0;0;16;0;FLOAT3;0,0,0;False;1;FLOAT3;0,0,0;False;2;FLOAT3;0,0,0;False;3;FLOAT;0;False;4;FLOAT;0;False;5;FLOAT;0;False;6;FLOAT3;0,0,0;False;7;FLOAT3;0,0,0;False;8;FLOAT;0;False;9;FLOAT;0;False;10;FLOAT;0;False;13;FLOAT3;0,0,0;False;11;FLOAT3;0,0,0;False;12;FLOAT3;0,0,0;False;14;FLOAT4;0,0,0,0;False;15;FLOAT3;0,0,0;False;0
WireConnection;217;0;218;0
WireConnection;217;1;91;0
WireConnection;219;0;220;0
WireConnection;219;1;90;0
WireConnection;214;1;219;0
WireConnection;216;0;217;0
WireConnection;210;0;216;0
WireConnection;205;0;214;0
WireConnection;212;0;205;0
WireConnection;212;1;210;0
WireConnection;208;0;222;0
WireConnection;208;1;91;0
WireConnection;209;0;212;0
WireConnection;202;0;209;0
WireConnection;211;0;208;0
WireConnection;203;0;202;0
WireConnection;206;0;211;0
WireConnection;213;0;203;0
WireConnection;204;0;206;0
WireConnection;215;0;213;0
WireConnection;215;1;204;0
WireConnection;199;202;163;0
WireConnection;199;127;132;0
WireConnection;199;125;98;0
WireConnection;199;124;142;0
WireConnection;199;105;95;0
WireConnection;199;13;90;0
WireConnection;199;11;91;0
WireConnection;85;0;215;0
ASEEND*/
//CHKSM=5B4C0FA4D66318D727C0909DB02DF570D09DBFD5